Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface Icon

All Known Implementing Classes:
  IconUIResource, ImageIcon, MetalCheckBoxIcon, MetalComboBoxIcon, MetalIconFactory.FileIcon16, MetalIconFactory.FolderIcon16, MetalIconFactory.PaletteCloseIcon, MetalIconFactory.TreeControlIcon, MetalIconFactory.TreeFolderIcon, MetalIconFactory.TreeLeafIcon

    public interface Icon

A small fixed size picture, typically used to decorate components.

See Also:
  `ImageIcon`

Method Summary
`int` | `getIconHeight()` Returns the icon's height.
`int` | `getIconWidth()` Returns the icon's width.
`void` | `paintIcon(Component c, Graphics g, int x, int y)` Draw the icon at the specified location.

Method Detail

### paintIcon

    void paintIcon(Component c,
                   Graphics g,
                   int x,
                   int y)

  Draw the icon at the specified location. Icon implementations may use the Component argument to get properties useful for painting, e.g. the foreground or background color.

### getIconWidth

    int getIconWidth()

  Returns the icon's width.

  Returns:
    an int specifying the fixed width of the icon.

### getIconHeight

    int getIconHeight()

  Returns the icon's height.

  Returns:
    an int specifying the fixed height of the icon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.